lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <rcm...@gmail.com>
Subject Re: [VOTE] Move trunk to Java 8
Date Sun, 14 Sep 2014 19:50:30 GMT
On Sun, Sep 14, 2014 at 3:35 PM, Benson Margulies <bimargulies@gmail.com> wrote:

> Another thought: what if there were three branches:
>
>  -- 'The next generation' -- leading edge, radical, new stuff. Java 8.
>  -- 'The next major release' -- Incompatible API changes, but Java version
> constrained for now to 1.7.
>  -- the currently-maintained stream of minor releases.

Personally I would be happy with this solution. To be specific I would:

svn copy branch_4x branch_5x.
bump "trunk" to 6.0
merge back some incompatible changes (example: your simplification to
tokenizers, NIO.2, removal of "dead codecs" such as sep and pulsing)

My reasoning:
trunk would be both clean from back compat, and on java 8.
stable 5.x releases for java 7 could be issued in relatively short
order, and we could drop 3.x support there.
"4.11" as its named now would be 5.0. It already has some relatively
serious changes and with the above it starts to shape up.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message